| Home | Libraries | People | FAQ | More

# boost::asio::ip Namespace Reference

## Detailed Description

The boost::asio::ip namespace defines the classes associated with IP.

## Classes

class | address
| Implements version-independent IP addresses. More...
class | address_v4
| Implements IP version 4 style addresses. More...
class | address_v6
| Implements IP version 6 style addresses. More...
class | basic_endpoint
| Describes an endpoint for a version-independent IP socket. More...
class | basic_resolver_entry
| An entry produced by a resolver. More...
class | basic_resolver_iterator
| An iterator over the entries produced by a resolver. More...
class | basic_resolver_query
| An query to be passed to a resolver. More...
class | resolver_query_base
| The resolver_query_base class is used as a base for the basic_resolver_query class templates to provide a common place to define the flag constants. More...
class | tcp
| Encapsulates the flags needed for TCP. More...
class | udp
| Encapsulates the flags needed for UDP. More...

## Namespaces

namespace | multicast
| The boost::asio::ip::multicast namespace defines the socket options used for multicast.

## Functions

std::string | host_name ()
| Get the current host name.
template<typename Error_Handler>
std::string | host_name (Error_Handler error_handler)
| Get the current host name.

## Function Documentation

std::string boost::asio::ip::host_name | ( |  | ) |

Get the current host name.

template<typename Error_Handler>

std::string boost::asio::ip::host_name | ( | Error_Handler | error_handler | ) |

Get the current host name.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff